/*
 * NetworkTable.h
 *
 * Copyright 2001, 2002 by Anthony Howe.  All rights reserved.
 */

#ifndef __com_snert_mod_watch_NetworkTable_h__
#define __com_snert_mod_watch_NetworkTable_h__	1

#include <sys/types.h>
#include <netinet/in.h>

#include "httpd.h"

struct network {
	struct in_addr ip;
	struct in_addr mask;
};

#ifdef __cplusplus
extern "C" {
#endif

extern int ntAddIpMask(array_header *table, struct in_addr *ip, struct in_addr *mask);
extern const char *ntAddNetwork(array_header *table, const char *network);
extern struct network *ntGetNetwork(array_header *table, struct in_addr *ip);
extern int ntIsMember(array_header *table, struct in_addr *ip);

#ifdef  __cplusplus
}
#endif

#endif /* __com_snert_mod_watch_NetworkTable_h__ */
